| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Можно ли увеличить толщину резиновой нити?

Можно ли увеличить толщину резиновой нити?

Ответ
Поиск в этой теме
Непрочитано 20.11.2021, 07:47 #1
Можно ли увеличить толщину резиновой нити?
samos
 
Регистрация: 16.06.2010
Сообщений: 40

При обводке по подложке мультилинией нужно следить за курсором и резиновой нитью. Резиновая нить очень тонкая, что затрудняет черчение.
Можно ли (желательно программным путем на AutoLisp) увеличить толщину резиновой нити до нужного значения?

Последний раз редактировалось samos, 20.11.2021 в 07:55.
Просмотров: 570
 
Непрочитано 29.11.2021, 13:46
#2
skkkk


 
Регистрация: 20.03.2008
Сообщений: 2,583


Толщину увеличить нельзя, а вот цвет - можно.
skkkk на форуме  
 
Непрочитано вчера, 19:35
#3
StupidDuck


 
Регистрация: 22.09.2017
Сообщений: 8


если толщину резиновой нельзя увеличить, можно через grread с временной линией-отрезком. для нее можно цвет, толщину

----- добавлено через ~3 ч. -----
Код:
[Выделить все]
 (defun c:DRAW_PLINE ( / line_temp pline_pt_list plist_temp pt_s pline_out gr1 gr2)
(setq line_temp (vla-addline (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object)))
			 (vlax-3d-point (setq pt_s (getpoint "\nНачальная точка:"))) (vlax-3d-point pt_s)))
(vla-put-Lineweight line_temp 50)
(vla-put-color line_temp 5)
(setq pline_pt_list (list pt_s pt_s)
      pline_out (vla-addLightWeightPolyline (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))) (vlax-make-variant (vlax-safearray-fill
					 (vlax-make-safearray vlax-vbDouble
		(cons 0 (1- (length (setq plist_temp (apply 'append (mapcar 'list (mapcar 'car pline_pt_list) (mapcar 'cadr pline_pt_list))))))))
												 plist_temp)))
      pline_pt_list (cdr pline_pt_list))
(princ "\nСледующая точка:")
(while
        (progn
	  (setq gr1 (grread T 15 0)) 
            (cond
		((= 5 (car gr1)) (setq gr2 (cadr gr1))
		(vla-put-endpoint line_temp (vlax-3d-point gr2)) (vla-update line_temp)
		T
		 );5
		((= (car gr1) 3)
		 (vla-put-startpoint line_temp (vlax-3d-point gr2)) (vla-update line_temp)
		 
		 (vla-put-Coordinates pline_out (vlax-make-variant (vlax-safearray-fill
					 (vlax-make-safearray vlax-vbDouble
		(cons 0 (1- (length (setq plist_temp (apply 'append (mapcar 'list (mapcar 'car (setq pline_pt_list
			(append pline_pt_list (list (vlax-safearray->list (vlax-variant-value (vla-get-endpoint line_temp)))))))
									    (mapcar 'cadr pline_pt_list))))))))
												 plist_temp)))
		(vla-update pline_out)
		(princ "\nСледующая точка:")
		T
		);3
		((= (car gr1) 25)
		(vla-delete line_temp)
		nil
		);25
		((and (= 2 (car gr1)) (= (cadr gr1) 32))
		 (vla-put-closed pline_out :vlax-true) (vla-update pline_out)
		 nil
		 );2 
		);cond
);progn
);while
(princ)
);defun DRAW_PLINE
на spacebar замкнуть

Последний раз редактировалось StupidDuck, вчера в 22:10.
StupidDuck вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Можно ли увеличить толщину резиновой нити?

Система Техэксперт дает уверенность в правильности и эффективности принимаемых инженерных решений!
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Можно ли заменить приварку арматуры для анкеровки отгибом? eilukha Основания и фундаменты 6 15.06.2016 11:48
Можно ли моделировать Основания и Фундаменты в Лире САПР? Алексей_rus Лира / Лира-САПР 2 09.12.2014 12:48
Можно ли размещать отделения лучевой диагностики и терапии в подвальных и цокольных этажах? NVN Технологические решения (ТХ) 9 25.01.2014 12:25
как можно (если можно) все обнулить Michael-- AutoCAD 1 03.10.2007 10:31
Можно прорисовать объект по движению мыши в реальн. времени Варгин Программирование 5 17.08.2006 08:23